%define qtdir %_libdir/qt3
%define subver 1.61

Summary: QScintilla is a port to Qt of Neil Hodgson's Scintilla C++ editor class. 
Name: qscintilla
Version: 1.4
Release: alt0.M24.1
License: GPL
Group:Development/KDE and QT
Source: %{name}-%subver-gpl-%version.tar.gz
URL: http://www.riverbankcomputing.co.uk/qscintilla/
Patch0: qscintilla-1.61-gpl-1.4-designer-incpath.patch

# Automatically added by buildreq on Tue Sep 21 2004
BuildRequires: XFree86-devel gcc-c++ libqt3-devel libstdc++-devel

%description
Qscintilla is a free source code editing component. It comes with complete source code and a license that permits use in any free project or commercial product. 
As well as features found in standard text editing components, Scintilla includes features especially useful when editing and debugging source code. These include support for syntax styling, error indicators, code completion and call tips. The selection margin can contain markers like those used in debuggers to indicate breakpoints and the current line. Styling choices are more open than with many editors, allowing the use of proportional fonts, bold and italics, multiple foreground and background colours and multiple fonts. 


%package -n lib%name
Summary: QScintilla is a port to Qt of Neil Hodgson's Scintilla C++ editor class. e
Group:Development/KDE and QT

%description -n lib%name
Qscintilla is a free source code editing component. It comes with complete source code and a license that permits use in any free project or commercial product. 
As well as features found in standard text editing components, Scintilla includes features especially useful when editing and debugging source code. These include support for syntax styling, error indicators, code completion and call tips. The selection margin can contain markers like those used in debuggers to indicate breakpoints and the current line. Styling choices are more open than with many editors, allowing the use of proportional fonts, bold and italics, multiple foreground and background colours and multiple fonts. 

%package -n lib%name-devel
Requires: lib%name = %version-%release
Summary:  Header files for %name
Group:Development/KDE and QT

%description -n lib%name-devel
Header files for %name


%package -n lib%name-designer
Requires: lib%name = %version-%release
Summary: QScintilla designer plugin
Group:Development/KDE and QT

%description -n lib%name-designer
QScintillla designer plugin.


%package -n lib%name-doc
Requires: lib%name = %version-%release
Summary:  Documentation for %name
Group:Development/KDE and QT

%description -n lib%name-doc
Documentation for %name

%prep
%setup -n %{name}-%subver-gpl-%version
%patch -p1 

%build
unset QTDIR || : ; . /etc/profile.d/qt3dir.sh
cd qt
%qtdir/bin/qmake qscintilla.pro -after DESTDIR=%buildroot/$QTDIR/lib
%make MOVE="cp -f"
cd ..

cd designer
%{qtdir}/bin/qmake designer.pro -after DESTDIR=%buildroot/$QTDIR/plugins/designer/
%make MOVE="cp -f"
cd ..



%install
mkdir -p %buildroot%qtdir/include
mkdir -p %buildroot%qtdir/lib
mkdir -p %buildroot%qtdir/translations
mkdir -p %buildroot%qtdir/plugins/designer
mkdir -p %buildroot%_libdir
%__install -m644 qt/qextscintilla*.h %{buildroot}%{qtdir}/include
%__install -m644 qt/qscintilla*.qm %{buildroot}%{qtdir}/translations
%__install -m644 qt/libqscintilla.so*  %{buildroot}%{qtdir}/lib
%__install -m644 designer/libqscintillaplugin.so  %{buildroot}%{qtdir}/plugins/designer
cd %buildroot%_libdir
find -name *.so* -exec ln -s '{}' ./ ';'

%post -p %post_ldconfig                                                         
%postun -p %postun_ldconfig

%files -n lib%name
%_libdir/*.so*
## %_libdir/*.so.5
%qtdir/lib/*.so*
%qtdir/translations/*.qm
%doc NEWS README LICENSE ChangeLog  

%files -n lib%name-devel
%qtdir/include/*

%files -n lib%name-designer
%qtdir/plugins/designer/*

%files -n lib%name-doc
%doc doc/* 

%changelog
* Tue Jan 04 2005 Ivan Fedorov <ns@altlinux.ru> 1.4-alt0.M24.1
- Backport to Master 2.4

* Tue Sep 21 2004 Eugene V. Horohorin <genix@altlinux.org> 1.4-alt1
- new release
- spec clean up
- Rex Dieter's patch for qt-designer plugin: don't require an already installed
  qscintilla-devel
  
* Tue May 18 2004 Serge V. Sergeev <ssv@altlinux.ru> 1.3-alt1
- new release
- appropriate spec changes

* Thu Dec 11 2003 Serge V. Sergeev <ssv@altlinux.ru> 1.2-alt1
- new release

* Tue Jul 08 2003 Serge Sergeev <ssv@altlinux.ru> 1.1-alt1
- new release
- add define subver
- some minor changes

* Thu Apr 10 2003 Serge Sergeev <ssv@altlinux.ru> 0.4-alt0.1
- New release from snapshot

* Mon Dec 23 2002 Serge Sergeev <ssv@altlinux.ru> 0.3-alt1.2
- fixed install section

* Fri Dec 20 2002 Serge Sergeev <ssv@altlinux.ru> 0.3-alt1.1
- build from snapshot (corrects encodings)

* Tue Dec 17 2002 Serge Sergeev <ssv@altlinux.ru> 0.3-alt1
- Initial release

